Knowledge Base

Dell Data Protection Cloud Edition Software and Hardware Prerequisites


This article contains information regarding prerequisites for Dell Data Protection | Cloud Edition (DDP | CE) hardware and software version 1.0.x - 1.9.x. Reference Dell Data Protection | Cloud Edition User Guide for any potential changes on other versions.


Affected Products:

Dell Data Protection | Cloud Edition




Windows Minimum Hardware Requirements

  • Intel Pentium-class or AMD processor
  • 512 MB-2 GB RAM, depending on operating system
  • 15 GB-20 GB free disk space, depending on operating system
  • 10/100/1000 or Wi-Fi network interface card
  • TCP/IP installed and activated
Note: IPv6 is not supported.

Prerequisites for Windows:

The following software is required before installation can begin:

Note: All computers shipped from the Dell factory are pre-installed with .NET 4.0. If you are not installing on Dell hardware or are upgrading Dell Data Protection | Enterprise Edition on older Dell hardware, verify which version of .NET is installed and update the version prior to installing Dell Data Protection | Enterprise Edition to prevent installation/upgrade failures.

To Verify the version of .NET installed follow the instructions on the computer targeted for installation:

The Encryption Client installer will install the following components if they are not already installed.

  • Microsoft Visual C++ 2012 Update 3 or later Redistributable Package
  • Microsoft SQL Server Compact 3.5 SP2
Windows Operating Systems
Windows 7 SP0-SP1 - Enterprise
- Professional
- Ultimate
Windows 8 - Enterprise
- Professional
Windows 8.1 (Box and Dropbox only) - Enterprise
- Professional

Prerequisites for Mac OS X:

Mac Operating Systems
Mountain Lion - 10.8.5
Mavericks - 10.9.4
- 10.9.5
Yosemite - 10.10.0
- 10.10.1

Prerequisites for Mobile OSs:

Mobile Operating Systems
Android - 4.0 Ice Cream Sandwich
- 4.1-4.3 Jelly Bean
- 4.4 KitKat
- 5.0 Lollipop
iOS - 6.x
- 7.x
- 8.x

Cloud Sync Clients

Sync clients release updates fairly frequently; later released versions may work properly with DDP | CE, but should be tested prior to rolling out in a production environment.

Check DDP | Enterprise Edition Administrator Guide and DDP | Cloud Edition (DDP | CE) User Guide for up to date sync client release support information.

Sync Clients

  • Dropbox 2.4-2.6
Note: Dropbox for Business requires Dropbox v2.8 or later and the DDP | EE Server v8.5 or later or DDP | VE v8.4 or later.
Note: With a pre-v8.4 VE Server or a pre-v8.5 Dell Enterprise Server, the client protects all files and folders. With VE v8.4 or later or Dell Enterprise Server v8.5 or later, a user can upload files to a personal Dropbox account and based on policy, those files can remain unprotected.
  • Box v3.4 and v4.0
  • OneDrive v17.0
Note: All computers shipped from the Dell factory are pre-installed with .NET 4.0. If you are not installing on Dell hardware or are upgrading Dell Data Protection | Enterprise Edition on older Dell hardware, verify which version of .NET is installed and update the version prior to installing Dell Data Protection | Enterprise Edition to prevent installation/upgrade failures.

Before deploying Dell Data Protection | Cloud Edition, it is best if you do not yet have Box, Dropbox or OneDrive accounts set up.This is not essential, but it prevents problems with data ownership

The user performing the installation must have a local Administrator account to perform the installation.

Dell Data Protection | Cloud Edition (DDP | CE) requires that the client be connected to a Dell Data Protection Enterprise Server v7.5 or later.


For any questions/concerns, please call Dell Data Protection ProSupport at: 877.459.7304 Ext. 4310039. For support outside the US, reference ProSupport’s International Contact numbers list. You can also join us on our Dell Security Community Forum.


Article ID: SLN295670

Last Date Modified: 09/27/2017 03:40 PM


Rate this article

Accurate
Useful
Easy to understand
Was this article helpful?
Yes No
Send us feedback
Comments cannot contain these special characters: <>()\
Sorry, our feedback system is currently down. Please try again later.

Thank you for your feedback.